<!DOCTYPE html>

<html lang="en" xmlns="http://www.w3.org/1999/xhtml">
<head>
    <meta charset="utf-8" />
    <title></title>
    <link rel="stylesheet" href="../css/chat.css" />
    <link rel="stylesheet" href="../css/lib/wenk.css" />


    <script src="../js/angular.min.js" type="text/javascript"></script>
    <script src="../js/angular-sanitize.min.js" type="text/javascript"></script>
    <script src="../js/angular-animate.min.js" type="text/javascript"></script>
    <script src="../js/angular/app.js" type="text/javascript"></script>
    <script src="../js/angular/controllers/chat.js" type="text/javascript"></script>
</head>
<body ng-app="oversight" ng-controller="chatController">
    <div class="chat">
        <div class="chat-message animate-repeat" ng-repeat="message in chatMessages">
            <span ng-bind-html="message.message | trust"></span>
            <span id="message_{{$index}}"></span>
        </div>
    </div>

    <div class="chatbox" ng-show="chatIsVisible">
        <div class="chatbox-channels-tabs">
            <div class="chatbox-channel-tab" ng-repeat="channel in getPlayerActiveChatChannels()" ng-class="{'chatbox-channel-tab_active': currentChatChannel == channel.type}">
                <span class="chatbox-channel_hotkey">{{channel.shortcut}}</span>
                <span class="chatbox-channel_label">{{channel.name}}</span>
            </div>
        </div>
        <div class="chatbox-wrapper">
            <form ng-submit="sendMessage()">
                <input type="text" class="chatbox-input" ng-model="chatMessage" focus-me="chatIsVisible">
            </form>
        </div>
        <div class="chatbox-tabs">
            <div class="chatbox-tab" ng-repeat="chat in getPlayerActiveChatTypes()" ng-class="{'chatbox-tab_active': currentChatType == chat.type}">
                <span class="chatbox-tab_label">{{chat.name}}</span>
                <span class="chatbox-tab_hotkey">{{chat.shortcut}}</span>
            </div>
        </div>
    </div>
</body>
</html>